import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { NotificationTypesSchema } from '../enums/NotificationTypes.schema'

const makeSchema = () => z.object({
  id: z.number().int().optional(),
  type: NotificationTypesSchema,
  message: z.string(),
  createdAt: z.coerce.date().optional(),
  read: z.boolean().optional()
}).strict();
export const NotificationCreateManyUserInputObjectSchema: z.ZodType<Prisma.NotificationCreateManyUserInput> = makeSchema() as unknown as z.ZodType<Prisma.NotificationCreateManyUserInput>;
export const NotificationCreateManyUserInputObjectZodSchema = makeSchema();
